<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>filtros</title>
</head>
<body>

    <div id="app">
       {{texto|mayuscula}}
       {{'mexico'|mayuscula}}
       {{'españa'|mayuscula}}

    </div>
    <br>
    <hr>
  
    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        /*filter('nombre',funcion(dato){})  */
        Vue.filter('mayuscula',function(cadena){
            let primerCaracter = cadena.charAt(0).toUpperCase();
            let text = cadena.slice(1,cadena.length)
            return primerCaracter + text

        })
        const app = new Vue({
            el:'#app',
            data: {

                texto: "colombia"

            },
          
          
        })

      
    </script>
</body>
</html>